$!
$!	ZMODEM command file interface for file transfers
$!
$	sz := $WKU$ROOT:[EXE]zmodem_send.exe
$	rz := $WKU$ROOT:[EXE]zmodem_receive.exe
$	say := write sys$output
$	switch = 0
$	xyzswitch = "z"
$	k := "-k"
$	b := "a"
$       clear
$	say "Modem Transfer -  Set to ZMODEM"
$	say "binary mode transfer enabled"
$	say "Type help or ? for help"
$!
$ loop:
$	read/end_of_file=exit/error=exit/prompt="ZMODEM> " sys$command line
$	command = f$element(0," ",line)
$	command := 'f$extract(0,1,command)'
$	if command .eqs. "?" then $goto help
$	if command .eqs. "H" then $goto help
$	if command .eqs. "C" then $goto change
$	if command .eqs. "B" then $goto binary
$	if command .eqs. "T" then $goto text
$	if command .eqs. "S" then $goto send
$	if command .eqs. "R" then $goto receive
$	if command .eqs. "Z" then $goto zmodem
$	if command .eqs. "E" then $goto exit
$	say "Enter ? or HELP for help."
$	goto loop
$!
$ zmodem:
$	xyzswitch := "z"
$	say "ZMODEM mode enabled"
$	goto loop
$ binary:
$	b := "b"
$	say "binary mode enabled"
$	goto loop
$!
$ text:
$	b := "a"
$	say "text mode enabled"
$	goto loop
$!
$ change:
$	switch = .not. switch
$	if .not. switch then goto noswitch
$	k := "-k"
$	say "1024 byte block enabled"
$	goto loop
$ noswitch:
$	k := ""
$	say "128 byte block enabled"
$	goto loop
$!
$ receive:
$	define/user sys$command sys$input
$ 	say "Command is: rz -''b'"
$	rz -'b'
$	wait 00:00:01
$	goto loop
$!
$ send:
$	filespec = f$extract(f$locate(" ",line)+1,f$length(line),line)
$	if filespec .eqs. "" then $goto err_files
$	define/user sys$command sys$input
$	say "Command is: sz -''b' ''filespec'"
$	sz -'b' 'filespec'
$	wait 00:00:01
$	goto loop
$!
$ err_files:
$	say "ERROR - no files specified"
$	goto loop
$!
$ help:
$!
$ say "ZMODEM V1.0 file transfer program command interface"
$ say ""
$ say "zmodem    - enable zmodem protocol transfers (default)"
$ say "binary    - enable binary mode transfers (default)"
$ say "change    - toggle to switch between 128 byte blocks and 1024 byte blocks"
$ say "text      - enable text mode transfers"
$ say "send      - send file using ZMODEM protocol"
$ say "receive   - receive file using ZMODEM protocol"
$ say "This version does not support wildcards."
$ say ""
$ say "Send accepts a list of non-wildcarded files separated by spaces."
$ say ""
$ say "Example: send aaafiles.txt bbb.txt ccc.com"
$ say "     Sends files aaafiles.txt bbb.txt and ccc.com"
$ say ""
$ say "? or help - this listing"
$ say "exit      - exit command procedure"
$ say ""
$ if b .nes. "" then say "binary mode enabled"
$ if b .eqs. "" then say "text mode enabled"
$! if k .nes. "" then say "1024 byte block enabled"
$! if k .eqs. "" then say "128 byte block enabled"
$!
$ goto loop
$!
$ exit:
$	exit
